/**
 * @file 文件处理模块
 */
// var Promise = require('bluebird')
var fs = require("fs-extra")
var Utils = require('./utils')
var path = require('path')
var readline = require('readline')

/**
 * 生成文件处理的主函数
 * @author huicanvie<81681445@qq.com>
 * @param project
 * @return undefined
 */

function generateFile (project) {
    var structureUrl = path.resolve(__dirname, '../structure/page')
    //console.log('structureUrl =====',structureUrl)
    //1.先建新目录,同步,同名目录提示，终端提示，用户选择是否继续覆盖同名文件
    if (Utils.isSameName(project)) {
        const rl = readline.createInterface({
            input: process.stdin,
            output: process.stdout
        })
        rl.question('存在同名目录，是否继续？如果继续，将会覆盖同名文件！y，继续，输入其他则退出', (answer) => {

            // console.log(`回复是${answer}`)
            if (answer == 'y' || answer == 'Y') {

                //copy project下的所有文件
                fs.copySync(structureUrl, project, {clobber: true})

                //修改html文件，并替换页面里面的title内容
                Utils.renameFile(project)
            }
            rl.close()

        })

    } else {
        Utils.mkDir(project)

        //copy project下的所有文件
        fs.copySync(structureUrl, project, {clobber: true})

        //修改html文件，并替换页面里面的title内容
        Utils.renameFile(project)
    }

}

module.exports = generateFile
