/**
 * @file 文件处理的方法库
 * @author huicanvie <81681445@qq.com>
 */
var path = require('path')
var fs = require('fs')
var Utils = {}

/**
 * 获取样本目录中的html文件路径
 * @returns {*|{alias}|Promise.<T>}
 */
Utils.getHtmlUrl = function () {
    var file = '../structure/page/page.html'
    return path.resolve(__dirname, file)

}

/**
 * 检查目录名是否同名
 * @param dirname 目录名
 * @returns {boolean}
 */
Utils.isSameName = function (dirname) {
    var processUrl = process.cwd()
    var dirnameUrl = path.resolve(processUrl + '/' + dirname)
    if (fs.existsSync(dirnameUrl)) {
        console.log('哥们，注意此目录已经存在了!')
        return true
    }
    return false
}


/**
 * 新建目录，在当前命令执行目录下新建
 * @param dirname
 */
Utils.mkDir = function (dirname) {

    var processUrl = process.cwd()
    var dirnameUrl = path.resolve(processUrl + '/' + dirname)

    console.log(processUrl)

    fs.mkdirSync(dirnameUrl)
}

/**
 * 修改相关js和html的文件名，同时替换文件相关内容
 * @param filename
 */
Utils.renameFile = function (filename) {

    var file = this.getHtmlUrl(),
        dirUrl = process.cwd() + '/' + filename + '/',
        webpackConfigJs = dirUrl + 'webpack.config.js',
        webpackCopyConfigJs = dirUrl + 'webpack.copy.config.js'


    fs.readFile(file, 'utf8' , (err, data) => {
        if (err) throw err

        //console.log(data)

        var nData = data.replace(/%page%/gi, filename),
            oldPath = dirUrl + 'page.html',
            newPath = dirUrl + filename + '.html'

        fs.renameSync(oldPath, newPath)

        fs.writeFile(newPath, nData, (err) => {
            if (err) throw err
            console.log(filename + '.html' + '成功生成！')
        })
    })

    ///修改webpack.config.js
    fs.readFile(webpackConfigJs, 'utf8', (err, data) => {
        var nData = data.replace(/%page%/gi,filename)
        fs.writeFile(webpackConfigJs, nData, (err) => {
            if (err) throw err
            console.log(webpackConfigJs + '修改成功!')
        })
    })

    ///修改webpack.copy.config.js
    fs.readFile(webpackCopyConfigJs, 'utf8', (err, data) => {
        var nData = data.replace(/%page%/gi,filename)
        fs.writeFile(webpackCopyConfigJs, nData, (err) => {
            if (err) throw err
            console.log(webpackCopyConfigJs + '修改成功!')
        })
    })

}

module.exports = Utils