var path = require('path')
var merge = require('webpack-merge')
var webpack = require('webpack')
var CopyWebpackPlugin = require('copy-webpack-plugin')
var baseConfig = require('../../../webpack.base.config')
var webpackCopyConfig = require('./webpack.copy.config')
var basePath = '../../../'

console.warn(path.resolve(__dirname, `${basePath}dist`))

module.exports = merge({
    entry: {index:path.resolve(__dirname, './main.js'),element: 'element-ui'},
    output: {
        path: path.resolve(__dirname, `${basePath}dist/%page%/`),
        publicPath: '../../../',
        filename: '[name].js'
    },
    mode: 'development',
    optimization: {
        splitChunks: {
            chunks: 'all',
            minChunks: 2,
            automaticNameDelimiter:'.', 
            name: 'commons'
        },
        runtimeChunk: 'single'
     },
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
        new webpack.NoEmitOnErrorsPlugin(),
        new CopyWebpackPlugin(webpackCopyConfig())
    ]
}, baseConfig)