var path = require('path')
var pathConfig = require('../../../conf/path.sample')
var basePath = '../../../'

var getCopyWebpackPlugin = function () {
    if (process.env.NODE_ENV === 'production') {
        return [
            {///copy 生成jsp
                from: path.resolve(__dirname, `${basePath}dist/%page%/%page%.html`),
                to: path.resolve(__dirname, pathConfig.remote + '/%page%/%page%.jsp'),
                toType: 'file',
                ignore: ['*.js','*.vue']
            },
            { ///dist  --> copy 到工程中
                from: `${basePath}dist/%page%/`,
                to: path.resolve(__dirname, pathConfig.remote+'/%page%'),
                toType: 'dir',
                ignore: ['*.json','*.html','*.woff','*.ttf']
            }

        ]
    } else {
        return [
             {///copy 到dist下
                from: path.resolve(__dirname, './%page%.html'),
                to: path.resolve(__dirname, `${basePath}dist/%page%/%page%.html`),
                toType: 'file'
            },
            {///assets copy 到dist下
                from: path.resolve(__dirname, `${basePath}src/assets/`),
                to: path.resolve(__dirname, `${basePath}dist/static/`),
                toType: 'dir'
            }

        ]
    }
}

module.exports = getCopyWebpackPlugin